com.gisgraphy.domain.repository.exception

## Class DuplicateNameException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.gisgraphy.domain.repository.exception.DuplicateNameException

- All Implemented Interfaces:
    Serializable

      public class DuplicateNameException
      extends RuntimeException

  Exception is throws when a GisFeature of the same name already exists The constraint is not in the database because, it depends of the Class of the gisFeature. e.g : Country can not have duplicate name
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DuplicateNameException()` Default constructor
    `DuplicateNameException(String message)` Constructor
    `DuplicateNameException(String message, Throwable cause)` Constructor
    `DuplicateNameException(Throwable cause)` Constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DuplicateNameException

          public DuplicateNameException()

      Default constructor

    - #### DuplicateNameException

          public DuplicateNameException(String message,
                                Throwable cause)

      Constructor
      Parameters:
        `message` - The message
        `cause` - The cause

    - #### DuplicateNameException

          public DuplicateNameException(String message)

      Constructor
      Parameters:
        `message` - The message

    - #### DuplicateNameException

          public DuplicateNameException(Throwable cause)

      Constructor
      Parameters:
        `cause` - The cause

Copyright © 2015. All rights reserved.